package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhPlanVideo;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhPlanVideoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformGzhPlanVideoMapper {
    long countByExample(ContentPlatformGzhPlanVideoExample example);

    int deleteByExample(ContentPlatformGzhPlanVideoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformGzhPlanVideo record);

    int insertSelective(ContentPlatformGzhPlanVideo record);

    List<ContentPlatformGzhPlanVideo> selectByExample(ContentPlatformGzhPlanVideoExample example);

    ContentPlatformGzhPlanVideo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformGzhPlanVideo record, @Param("example") ContentPlatformGzhPlanVideoExample example);

    int updateByExample(@Param("record") ContentPlatformGzhPlanVideo record, @Param("example") ContentPlatformGzhPlanVideoExample example);

    int updateByPrimaryKeySelective(ContentPlatformGzhPlanVideo record);

    int updateByPrimaryKey(ContentPlatformGzhPlanVideo record);
}